<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');
$routes->get('/LogIn', 'MainController::GoToPage/login');
$routes->get('/CreateTicket', 'MainController::GoToPage/ticket_create');
$routes->get('/TicketManager', 'MainController::GoToPage/ticket_manager');
$routes->get('/EditTicket/(:num)', 'MainController::GoToTicket/$1');

$routes->get('/Session', 'MainController::CheckSession');
$routes->post('/DoTheLoggingIn', 'MainController::LoggingIn');

$routes->get('/GetTickets/(:any)', 'MainController::ShowTickets/$1');
$routes->post('/SimilarTickets', 'MainController::SearchTickets');
$routes->post('/InsertTicket', 'MainController::CreateTicket');
$routes->post('/UpdateTicket/(:num)', 'MainController::UpdateTicket/$1');